CREATE TABLE LogSoporte ( 
Id INT IDENTITY ( 1,1 ) NOT NULL,
IdCia CHAR(2) NOT NULL,
Fecha SMALLDATETIME NOT NULL,
TipoProc VARCHAR(10) NOT NULL,
GrupoNit BIT DEFAULT ((0)) NOT NULL,
FecComp BIT DEFAULT ((0)) NOT NULL,
Estado INT DEFAULT ((0)) NOT NULL,
FechaCrea SMALLDATETIME NOT NULL,
IdUsuario VARCHAR(11) NOT NULL,
Nombre VARCHAR(50) NOT NULL,
Observacion VARCHAR(500),
DescOpciones VARCHAR(500)
 CONSTRAINT PK_LogSoporte PRIMARY KEY CLUSTERED (Id),
 CONSTRAINT CK_LogSoporteIdCia CHECK ((len([IdCia])>(0))),
 CONSTRAINT CK_LogSoporteIdUsuario CHECK ((len([IdUsuario])>(0))),
 CONSTRAINT CK_LogSoporteNombre CHECK ((len([Nombre])>(0))),
 CONSTRAINT CK_LogSoporteTipoProc CHECK ((len([TipoProc])>(0))))
CREATE TABLE LogSoporteDet ( 
Numero INT DEFAULT ((0)) NOT NULL,
IdCia CHAR(2) NOT NULL,
Item INT DEFAULT ((0)) NOT NULL,
TipCom VARCHAR(3) NOT NULL,
Comprobante INT DEFAULT ((0)) NOT NULL,
IdCiaCom CHAR(2) NOT NULL,
ItemCom INT DEFAULT ((0)) NOT NULL,
FechaCom SMALLDATETIME NOT NULL,
IdTercero VARCHAR(11) NOT NULL,
RazonSocial VARCHAR(150),
IdCuenta VARCHAR(16) NOT NULL,
Detalle VARCHAR(500) NOT NULL,
ValorOper DECIMAL(14,4) DEFAULT ((0)) NOT NULL,
TarifaRet DECIMAL(14,4) DEFAULT ((0)) NOT NULL,
TarifaIca DECIMAL(14,4) DEFAULT ((0)) NOT NULL,
CodTarifRet VARCHAR(3),
CodTarifIca VARCHAR(8),
EstadoItem INT DEFAULT ((0)) NOT NULL,
TipDoc VARCHAR(3),
NumDoc INT DEFAULT ((0)) NOT NULL,
IdCiaDoc CHAR(2),
CodCiudad VARCHAR(8),
NomCuenta VARCHAR(150),
Ciudad VARCHAR(50)
 CONSTRAINT PK_LogSoporteDet PRIMARY KEY CLUSTERED (Numero,IdCia,Item),
 CONSTRAINT CK_LogSoporteDetDetalle CHECK ((len([Detalle])>(0))),
 CONSTRAINT CK_LogSoporteDetIdCiaCom CHECK ((len([IdCiaCom])>(0))),
 CONSTRAINT CK_LogSoporteDetIdCuenta CHECK ((len([IdCuenta])>(0))),
 CONSTRAINT CK_LogSoporteDetIdTercero CHECK ((len([IdTercero])>(0))),
 CONSTRAINT CK_LogSoporteDetTipCom CHECK ((len([TipCom])>(0))))
GO
 CREATE NONCLUSTERED INDEX IX_LogSoporteFecha ON LogSoporte(Fecha)
 CREATE NONCLUSTERED INDEX IX_LogSoporteDetComprobante ON LogSoporteDet(TipCom,Comprobante,IdCiaCom)
 CREATE NONCLUSTERED INDEX IX_LogSoporteDetIdTercero ON LogSoporteDet(IdTercero)

